Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasHTML

All Superinterfaces:
  HasText

All Known Implementing Classes:
  Button, ButtonBase, CheckBox, CustomButton, CustomButton.Face, DialogBox, HTML, Hyperlink, MenuItem, PushButton, RadioButton, RichTextArea, ToggleButton, TreeItem

    public interface HasHTML

extends HasText

An object that implements this interface contains text, which can be set and retrieved using these methods. The object's text can be set either as HTML or as text.

Method Summary
`java.lang.String` | `getHTML()` Gets this object's contents as HTML.
`void` | `setHTML(java.lang.String html)` Sets this object's contents via HTML.

Methods inherited from interface com.google.gwt.user.client.ui.HasText
`getText, setText`

Method Detail

### getHTML

    java.lang.String getHTML()

  Gets this object's contents as HTML.

  Returns:
    the object's HTML

### setHTML

    void setHTML(java.lang.String html)

  Sets this object's contents via HTML. Use care when setting an object's HTML; it is an easy way to expose script-based security problems. Consider using `HasText.setText(String)` whenever possible.

  Parameters:
    `html` - the object's new HTML

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD